org.eclipse.ease.ui.scripts

## Class ScriptEditorInput

- java.lang.Object
- - org.eclipse.ease.ui.scripts.ScriptEditorInput

All Implemented Interfaces:
  IAdaptable, IEditorInput, IStorageEditorInput

    public class ScriptEditorInput
    extends java.lang.Object
    implements IStorageEditorInput

### Constructor Summary

Constructors
Constructor and Description
`ScriptEditorInput(IScript script)`
`ScriptEditorInput(java.lang.String name, java.lang.String content)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object other)`
`boolean` `exists()`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`ImageDescriptor` `getImageDescriptor()`
`java.lang.String` `getName()`
`IPersistableElement` `getPersistable()`
`IStorage` `getStorage()`
`java.lang.String` `getToolTipText()`

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptEditorInput

    public ScriptEditorInput(IScript script)

#### ScriptEditorInput

    public ScriptEditorInput(java.lang.String name,
                             java.lang.String content)

### Method Detail

#### equals

    public final boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### getAdapter

    public final java.lang.Object getAdapter(java.lang.Class adapter)

Specified by:
  `getAdapter` in interface `IAdaptable`

#### getPersistable

    public final IPersistableElement getPersistable()

Specified by:
  `getPersistable` in interface `IEditorInput`

#### exists

    public final boolean exists()

Specified by:
  `exists` in interface `IEditorInput`

#### getStorage

    public final IStorage getStorage()

Specified by:
  `getStorage` in interface `IStorageEditorInput`

#### getImageDescriptor

    public final ImageDescriptor getImageDescriptor()

Specified by:
  `getImageDescriptor` in interface `IEditorInput`

#### getName

    public final java.lang.String getName()

Specified by:
  `getName` in interface `IEditorInput`

#### getToolTipText

    public final java.lang.String getToolTipText()

Specified by:
  `getToolTipText` in interface `IEditorInput`